# Regex Text Replacement

Adds a filter that can be applied to text formats to make complex replacements.

## Requirements

This module requires no modules outside of Drupal core.

## Installation

Install as you would normally install a contributed Drupal module. For further
information, see
[Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).

## Configuration

1. Visit your text formats and editors at *admin/config/content/formats*
2. Edit a text format
3. Add the Regex Text Replacement filter. For example, the following will replace h2 tags with h3...
    ```
    /<h[1|2]([^>]*)>(.*?)<\/h[1|2][^>]*>/mi||<h3(1)>(2)</h3>
    ```

## Maintainers

- Rob Loach - [robloach](https://www.drupal.org/u/robloach)
- Mike McCaffrey - [mikemccaffrey](https://www.drupal.org/u/mikemccaffrey)
- Yuri Seki - [yuriseki](https://www.drupal.org/u/yuriseki)
